Bug 484421 - RFE: API: add activationkey.listActivatedSystems
RFE: API: add activationkey.listActivatedSystems
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-06 12:53 EST by Brad Buckingham
Modified: 2009-09-17 03:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2009-02-06 12:53:13 EST
Description of problem:

The XMLRPC API doesn't currently provide a mechanism to allow a user to retrieve the list of systems that have been activated with a specific activation key.

Version-Release number of selected component (if applicable):


How reproducible:
Always... no such API exists

Steps to Reproduce:
1. look at api docs for activationkey namespace.  
  
Actual results:
Observe that no API exists to address this request.

Expected results:
An API (e.g. listActivatedSystems) exists and can be used to return the list of systems activated with a given activation key.

Additional info:
Comment 1 Brad Buckingham 2009-02-06 14:09:53 EST
API added with git commit: c808bcb9aa4964e22366017bfdc0aaf0d5cb78a6


Method: listActivatedSystems
Description:
List the systems activated with the key provided.

Parameters:

    * string sessionKey
    * string key

Returns:

    * array:
          o int "id" - System id
          o string "hostname"
          o dateTime.iso8601 "last_checkin" - Last time server successfully checked in
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:44 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:09:59 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.